# eric3.Project.FiletypeAssociationDialog

Module implementing a dialog to enter filetype associations for the project.

### Classes

FiletypeAssociationDialog | Class implementing a dialog to enter filetype associations for the project.

### Functions

None

## FiletypeAssociationDialog

Class implementing a dialog to enter filetype associations for the project.

### Derived from

FiletypeAssociationForm

### Methods

FiletypeAssociationDialog | Constructor
handleAssociationAdd | Private slot to add the association displayed to the listbox.
handleAssociationDelete | Private slot to delete the currently selected association of the listbox.
handleAssociationSelected | Private slot to handle the clicked signal of the association list.
handlePatternTextChanged | Private slot to handle the textChanged signal of the pattern lineedit.
transferData | Public slot to transfer the associations into the projects data structure.

### FiletypeAssociationDialog (Constructor)

FiletypeAssociationDialog(project, parent = None)

Constructor

project
  reference to the project object
parent
  reference to the parent widget (QWidget)

### FiletypeAssociationDialog.handleAssociationAdd

handleAssociationAdd()

Private slot to add the association displayed to the listbox.

### FiletypeAssociationDialog.handleAssociationDelete

handleAssociationDelete()

Private slot to delete the currently selected association of the listbox.

### FiletypeAssociationDialog.handleAssociationSelected

handleAssociationSelected(itm)

Private slot to handle the clicked signal of the association list.

itm
  reference to the selecte item (QListViewItem)

### FiletypeAssociationDialog.handlePatternTextChanged

handlePatternTextChanged(txt)

Private slot to handle the textChanged signal of the pattern lineedit.

txt
  text of the lineedit (QString)

### FiletypeAssociationDialog.transferData

transferData()

Public slot to transfer the associations into the projects data structure.

Up